/**************************************************************************************************************
 *
 * PIC18F6620-Modul
 *
 * Datei : defines.h
 *
 * Autoren : Finger
 *
 * Controller : Microchip 18F6620, 40 Mhz
 * Einstellungen:  OSC=HS, WDT=OFF, PWT=ON, CP=OFF, BOD=ON, LVP=OFF
 *
 *************************************************************************************************************/

// Standard-defines
#define ON  1
#define EIN 1
#define TRUE ON
#define OFF 0
#define AUS 0
#define FALSE OFF

#define Bit0                1
#define Bit1                2
#define Bit2                4
#define Bit3                8
#define Bit4                16
#define Bit5                32
#define Bit6                64
#define Bit7                128

//---------------
// Steuerzeichen
//---------------
#define CR  0x0d
#define LF  0x0a

//-------------------------
// Allgemeine Pufferdaten
//-------------------------
#define Buflen                  60

//-----------------
// Zeitsteuerungen
//-----------------
#define Stromverbrauch          60    // Nach 60 Sekunden Inaktivitt geht das Licht aus
#define SendePause							15    // Zeit zwischen 2 Zeichen
#define Pause 									100   // Display

//----------
// Hardware
//----------
#define UART1   								0
#define UART2   								1


#define SlotMax                 4     // 4 Aufzeichnungsslots
#define Aufzeichnung            1000  // 10 Sekunden  100 Werte

#define PreTimer                1000  // 10 Sekunden Wartezeit vor Beginn der Aufzeichnung

//-----------
// I2C-Zeugs
//-----------
#define READ                   FALSE
#define WRITE                  TRUE

#define SCL                    RC3                 // Pin SCL am EEPROM
#define SDA                    RC4                 // Pin SDA am EEPROM

#define SDA_PORT               16                  // Port C.4
#define SCL_PORT               8                   // Port C.3

#define uDLY                  80                   // Verzgerungszeit zwischen Bitwechseln
#define rDLY                  10                   // Verzgerungszeit beim lesen

#define Pagesize              32                   // Gre einer Speicherseite im EEPROM

//------------------
// Mendefinitionen
//------------------
#define HauptMenueAnzahl  		10 									 // 10 Punkte im Hauptmen
#define LCDZeile							16									 // Lnge eine Zeile

